Public Attributes | List of all members
ble_evt_t Struct Reference
BLE » BLE Common | BLE » BLE Event » Structures

BLE Event Information. More...

`#include <ble_event.h>`

Collaboration diagram for ble_evt_t:
[legend]

## Public Attributes
uint16_t | evt_id
| Event ID. More...
uint16_t | evt_status
| Event Status. More...
union {
ble_gapm_evt_t gapm_evt
| BLE GAP Management Event. More...
ble_gapc_evt_t gapc_evt
| BLE GAP Connection Control Event. More...
ble_gatts_evt_t gatts_evt
| BLE GATT Server Event. More...
ble_gattc_evt_t gattc_evt
| BLE GATT Client Event. More...
ble_gatt_common_evt_t gatt_common_evt
| BLE GATT Common Event. More...
ble_sec_evt_t sec_evt
| BLE Security Event. More...
ble_l2cap_evt_t l2cap_evt
| BLE L2CAP Event. More...
} | evt
| BLE Event parameter. More...

## Detailed Description

BLE Event Information.

Definition at line 190 of file ble_event.h.

## Member Data Documentation

## ◆ evt

union { ... } ble_evt_t::evt

BLE Event parameter.

## ◆ evt_id

uint16_t ble_evt_t::evt_id

Event ID.

Definition at line 192 of file ble_event.h.

## ◆ evt_status

uint16_t ble_evt_t::evt_status

Event Status.

Definition at line 193 of file ble_event.h.

## ◆ gapc_evt

ble_gapc_evt_t ble_evt_t::gapc_evt

BLE GAP Connection Control Event.

Definition at line 197 of file ble_event.h.

## ◆ gapm_evt

ble_gapm_evt_t ble_evt_t::gapm_evt

BLE GAP Management Event.

Definition at line 196 of file ble_event.h.

## ◆ gatt_common_evt

ble_gatt_common_evt_t ble_evt_t::gatt_common_evt

BLE GATT Common Event.

Definition at line 200 of file ble_event.h.

## ◆ gattc_evt

ble_gattc_evt_t ble_evt_t::gattc_evt

BLE GATT Client Event.

Definition at line 199 of file ble_event.h.

## ◆ gatts_evt

ble_gatts_evt_t ble_evt_t::gatts_evt

BLE GATT Server Event.

Definition at line 198 of file ble_event.h.

## ◆ l2cap_evt

ble_l2cap_evt_t ble_evt_t::l2cap_evt

BLE L2CAP Event.

Definition at line 202 of file ble_event.h.

## ◆ sec_evt

ble_sec_evt_t ble_evt_t::sec_evt

BLE Security Event.

Definition at line 201 of file ble_event.h.

The documentation for this struct was generated from the following file:

- ble_event.h